﻿'
'Copyright(c)株式会社トラスト・ソフトウェア・システム,All Rights Reserved.
'

Imports PDFTools.PdfImagerLP

Module toGrayscale

    Sub Main(ByVal args As String())
        If args.Length < 1 Then
            Console.WriteLine("Usage: Tif.exe [G|D|B]")
            Exit Sub
        End If

        'インスタンス
        Dim imgr As PdfImager = New PdfImager

        '初期化
        imgr.Initialize("0-W0H6-7H5GKW7E336R")

        'オープン
        imgr.OpenDoc("in.pdf", "", "")

        Select args.First().Substring(0, 1)
            Case "G"
                'グレースケールへの変換指定
                imgr.SetPictureGray()
            Case "D"
                'ディザ画像への変換指定
                imgr.SetPictureDither()
            Case Else
                '２階調画像への変換指定
                imgr.SetPictureBW()
        End Select

        '画像作成
        imgr.CreatePict(1, "out.jpg")

        '後始末
        imgr.CloseDoc()
        imgr.Uninitialize()
    End Sub

End Module
